2021-08-30 13:07:32 UTC
96.7 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION4.0.33
[#000] sha256:feac5306138255e28a9862d3f3d29025d0a4d0648855afe1acd6131af07138ac - 26.35% (25.5 MB)
[#001] sha256:2eba3eb73a0d798e97dc6aa2b5ba2078050ef6a4ffa0cd245134beb0d85466b5 - 64.85% (62.7 MB)
[#002] sha256:0853cdb135dd062f92b3f4ff0626a82a6b90cebc8edb2b17915954f58ef9f464 - 0.0% (4.37 KB)
[#003] sha256:b5cb902a7417ae646a2010b5bce298efad78ad9968d7e6ea371a05eb66383641 - 8.79% (8.5 MB)
[#004] sha256:ccbaa331087a21d275c89435dfb5e95fe5b658496d17bf1a3b75aec0a8451b79 - 0.0% (2.52 KB)
/bin/sh -c #(nop) ADD file:e729fb032bd2f7cde20fb343da0cd358447e8b23028422c123944e8d0be660fa in /
2021-07-26 21:21:31 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=4.0
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=4.0.33
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.33 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:06:28 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-08-30 13:07:32 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:07:32 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-08-30 13:07:32 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-08-30 13:07:32 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-08-30 13:07:32 UTC (buildkit.dockerfile.v0)USER 1997
2021-08-30 13:07:32 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2021-08-30 13:24:17 UTC
88.6 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION4.0.33
[#000] sha256:d5092371cc59fda70c1ace542259c1514fc023e571d50c900322f2a052531228 - 24.01% (21.3 MB)
[#001] sha256:6d573f8b223d030bffc68ea542a0b4125f185071677d9237e868d0c2a95155f1 - 66.37% (58.8 MB)
[#002] sha256:d181ff367e6fdc9a6681e5a0a6b4b111305be7dbe466ab10a819dca87a83f5eb - 0.0% (4.38 KB)
[#003] sha256:2adeedb65c25e972a1e47746ed1218eb3823c306b7516bd3690709a157a569ec - 9.61% (8.52 MB)
[#004] sha256:19e1780a89b5c40712db108eb45cca9a15e8825de5e0d6750de70edae2b6b2b5 - 0.0% (2.52 KB)
/bin/sh -c #(nop) ADD file:93478fff12f14732647e59eaafbd2a694de2f3a162fdc6bb1270acc1c69edc5b in /
2021-07-26 22:51:32 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=4.0
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=4.0.33
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.33 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:19:16 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-08-30 13:24:17 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:24:17 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-08-30 13:24:17 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-08-30 13:24:17 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-08-30 13:24:17 UTC (buildkit.dockerfile.v0)USER 1997
2021-08-30 13:24:17 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2021-08-30 13:24:00 UTC
92.4 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION4.0.33
[#000] sha256:fda1cca7a3cc2b66c161597f27e151a9b1cab79d73c7c0c2706606813a3e58cf - 24.5% (22.6 MB)
[#001] sha256:c51a1ce490eff03eb56622aeedc976a04d81a938105464e410b6fc9224d0575e - 66.29% (61.2 MB)
[#002] sha256:7942b30b7725b6c5b29ea0e6fa4a01f7d2470b1b035d7fd3b8aaf6636253843b - 0.0% (4.38 KB)
[#003] sha256:c81dfc3fe900f21c146ad16762a951d44c8ee0c560cc646f86ec3b93f0f685d2 - 9.2% (8.5 MB)
[#004] sha256:51bafdca17490208fd1c2dbe59e5610f96fe220b8930e3c54e2555d6d6a304fd - 0.0% (2.52 KB)
/bin/sh -c #(nop) ADD file:e87e065765ef99e8db25307f469c7481ab480ac5fe6353ae4caf402766f14045 in /
2021-07-26 21:48:50 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=4.0
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=4.0.33
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.33 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:19:05 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-08-30 13:24:00 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:24:00 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-08-30 13:24:00 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-08-30 13:24:00 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-08-30 13:24:00 UTC (buildkit.dockerfile.v0)USER 1997
2021-08-30 13:24:00 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
2021-08-30 13:24:55 UTC
104 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
TERMxterm
ZBX_SOURCEShttps://git.zabbix.com/scm/zbx/zabbix.git
ZBX_VERSION4.0.33
[#000] sha256:3c742a0b2a0025420dcf1bc91d81de2ffb292328fad483ce715521d725503b66 - 27.89% (29 MB)
[#001] sha256:30fde1c53394f8b23bfa522d4d24e73b69e20748479dce2a713131b27c8afbe8 - 63.92% (66.5 MB)
[#002] sha256:55f90c2c892c5fd06e4aad9abf01058977e67809ad077ad747d5ec8106b3ccb2 - 0.0% (4.38 KB)
[#003] sha256:ec43e6320ec44763407958de64591ab5e894c9c739248e4f3c522647860fe786 - 8.18% (8.52 MB)
[#004] sha256:ae16a1a472d9c4f1af0c3d545b109e0e71689ed85ebc7ffdf3203e7709380052 - 0.0% (2.52 KB)
/bin/sh -c #(nop) ADD file:2e6f05bbffb47b3ea8e5e4127452e80debc89fb9e22af2dc5c735ea579adad64 in /
2021-07-26 23:12:34 UTC/bin/sh -c #(nop) CMD ["bash"]
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.vendor=Zabbix LLC org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.licenses=GPL v2.0
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)STOPSIGNAL SIGTERM
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix -G root --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p /etc/zabbix && mkdir -p /etc/zabbix/web && mkdir -p /var/lib/php/session && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gpg dirmngr gpg-agent ca-certificates && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install curl mysql-client nginx locales php7.2-bcmath php7.2-fpm php7.2-gd php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-xml supervisor && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.2/fpm/pool.d/www.conf && ln -sf /dev/fd/2 /var/log/nginx/error.log && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)ARG MAJOR_VERSION=4.0
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)ARG ZBX_VERSION=4.0.33
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)ENV TERM=xterm ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)LABEL org.opencontainers.image.documentation=https://www.zabbix.com/documentation/4.0/manual/installation/containers org.opencontainers.image.version=4.0.33 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git
2021-08-30 13:20:13 UTC (buildkit.dockerfile.v0)COPY conf/etc/ /etc/ # buildkit
2021-08-30 13:24:55 UTC (buildkit.dockerfile.v0)RUN |3 MAJOR_VERSION=4.0 ZBX_VERSION=4.0.33 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install gettext git && cd /usr/share/ && git -c advice.detachedHead=false clone ${ZBX_SOURCES} --branch ${ZBX_VERSION} --depth 1 --single-branch zabbix-${ZBX_VERSION} && mkdir /usr/share/zabbix/ && cp -R /usr/share/zabbix-${ZBX_VERSION}/frontends/php/* /usr/share/zabbix/ && rm -rf /usr/share/zabbix-${ZBX_VERSION}/ && cd /usr/share/zabbix/ && ./locale/make_mo.sh && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && ln -s "/etc/zabbix/web/zabbix.conf.php" "/usr/share/zabbix/conf/zabbix.conf.php" && ln -s "/etc/zabbix/web/maintenance.inc.php" "/usr/share/zabbix/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat /usr/share/zabbix/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && find /usr/share/zabbix/locale -name '*.po' | xargs rm -f && find /usr/share/zabbix/locale -name '*.sh' | xargs rm -f && chown --quiet -R zabbix:root /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /etc/zabbix/ /usr/share/zabbix/include/defines.inc.php && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.2/fpm/php-fpm.conf /etc/php/7.2/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && chown --quiet -R zabbix:root /usr/share/zabbix/include/defines.inc.php && chgrp -R 0 /usr/share/zabbix/include/defines.inc.php && chmod -R g=u /usr/share/zabbix/include/defines.inc.php && DEBIAN_FRONTEND=noninteractive apt-get -y purge gettext git && apt-get -y autoremove && apt-get -y clean && rm -rf /var/lib/apt/lists/* # buildkit
2021-08-30 13:24:55 UTC (buildkit.dockerfile.v0)EXPOSE map[8080/tcp:{} 8443/tcp:{}]
2021-08-30 13:24:55 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/zabbix
2021-08-30 13:24:55 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint.sh /usr/bin/ # buildkit
2021-08-30 13:24:55 UTC (buildkit.dockerfile.v0)USER 1997
2021-08-30 13:24:55 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["docker-entrypoint.sh"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.